# Uses of Class
org.codehaus.janino.CodeContext.Offset

Packages that use CodeContext.Offset
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of CodeContext.Offset in org.codehaus.janino

Subclasses of CodeContext.Offset in org.codehaus.janino
Modifier and Type
Class
Description
`final class`
`CodeContext.BasicBlock`
This `CodeContext.Offset` marks the first byte of a "basic block" in the sense of JLS 17 "4.10.1 Verification by Type Checking": The intent is that a stack map frame must appear at the beginning of each basic block in a method.
`class`
`CodeContext.Inserter`
A class that implements an insertion point into a "Code" attribute.
`class`
`CodeContext.LineNumberOffset`
An `CodeContext.Offset` who's sole purpose is to later create a 'LineNumberTable' attribute.
Fields in org.codehaus.janino declared as CodeContext.Offset
Modifier and Type
Field
Description
`protected CodeContext.Offset`
Java.ContinuableStatement.`whereToContinue`
This one's filled in by the first CONTINUE statement, and is `set()` by this continuable statement.
Methods in org.codehaus.janino that return CodeContext.Offset
Modifier and Type
Method
Description
`CodeContext.Offset`
Java.LocalVariableSlot.`getEnd()`
`CodeContext.Offset`
Java.LocalVariableSlot.`getStart()`
`CodeContext.Offset`
CodeContext.`newBasicBlock()`
`CodeContext.Offset`
CodeContext.`newOffset()`
Creates and inserts an `CodeContext.Offset` at the current inserter's current position.
Methods in org.codehaus.janino with parameters of type CodeContext.Offset
Modifier and Type
Method
Description
`void`
CodeContext.`addExceptionTableEntry(CodeContext.Offset startPc, CodeContext.Offset endPc, CodeContext.Offset handlerPc, String catchTypeFd)`
Adds another entry to the "exception_table" of this code attribute (see JVMS 4.7.3).
`void`
CodeContext.`removeCode(CodeContext.Offset from, CodeContext.Offset to)`
Removes all code between from and to.
`void`
Java.LocalVariableSlot.`setEnd(CodeContext.Offset end)`
`void`
Java.LocalVariableSlot.`setStart(CodeContext.Offset start)`
`void`
CodeContext.`writeBranch(int opcode, CodeContext.Offset dst)`
Generates a "branch" instruction.
`void`
CodeContext.`writeOffset(CodeContext.Offset src, CodeContext.Offset dst)`
Writes a four-byte offset (as it is used in TABLESWITCH and LOOKUPSWITCH) into this code context.